# Retrieve a Donor Profile
source: https://developer.mastercard.com/donations/documentation/use-cases/manage-donor/retrieve_donor/index.md

## Overview {#overview}

The **Get Donor** endpoint retrieves the current profile details and personal information stored in the system for a single donor, such as the name, email address, and phone number. To ensure and present accurate and up-to-date information, read the donor data using the `Get Donor` endpoint.

To fetch donor profile details, provide the unique `donorId` that Mastercard Donate generated while creating the donor. A successful request returns the `HTTP 200 OK` status and a JSON response body with the donor object, if you provide a valid `donorId` in the request.

## Sequence Diagram {#sequence-diagram}

The following outlines the sequence of events:
Diagram retrievedonor

## Execution Steps {#execution-steps}

The following details the steps in the above sequence diagram:

1. The donor requests to view the profile details.
2. The partner user interface forwards the request to the partner server.
3. The partner server calls the `GET donors` endpoint and provides the `donorId` in the endpoint request to Mastercard Donate Service.
4. The Mastercard Donate service verifies the donor identifier.
5. The Mastercard Donate Service returns the donor profile details to the partner server if it finds the donor identifier.
6. The partner server sends the donor profile details to the partner user interface.
7. The partner user interface displays the donor profile details on the end-user screen.
8. The Mastercard Donate service sends an error message to the partner server if it does not find the donor identifier.
9. The partner server forwards the error message to the partner user interface.
10. The partner user interface displays the error message to the donor.

## Endpoint {#endpoint}


API Reference: `GET /donors/{donor_id}`

## Endpoint Parameter {#endpoint-parameter}

For more details on the endpoint parameters, refer to the [Parameters to Retrieve a Donor](https://developer.mastercard.com/donations/documentation/parameters/enroll-manage-donor-param/get-donor-param/index.md) section.

## Sample request and response {#sample-request-and-response}

For more details on the sample request and response, refer to the [Retrieve Donor](https://developer.mastercard.com/donations/tutorial/donation-api-details/donorsapi/index.md#get-donors) tutorial.
